{varType App\Model\Doctrine\Customer\Customer $player}
{varType Skadmin\TournamentGame\Doctrine\Registration\RegistrationTeam $item}

<div class="col-12">
    {if $item instanceof Skadmin\TournamentGame\Doctrine\Registration\RegistrationTeam}
        <div class="row mb-2 text-primary font-weight-bold">
            <div class="col-12">
                {_'grid.tournament-game.overview-regitration.detail.players'}
            </div>
        </div>

        <div class="row mb-4">
            <div class="col-sm-12 col-md-6 col-xl-4 d-flex flex-column mb-2" n:foreach="$item->getListOfPlayers() as $player">
                <div class="card h-100">
                    <div n:class="card-header, $item->isCaptionOrManager($player) ? 'bg-primary text-white'">
                        <i class="far fa-fw fa-star mr-2" n:if="$item->isCaptionOrManager($player)"></i>
                        {$player->getFullName()}
                    </div>
                    <div class="card-body">
                        <div><i class="fas fa-fw fa-gamepad text-primary"></i> {$player->getGameId($item->getTournament()->getGame()->getId())}</div>
                        <div>{$player->getEmail()|contact}</div>
                        <div>{$player->getPhone()|contact}</div>
                    </div>
                </div>
            </div>
        </div>
    {/if}

    <div class="row mb-2 text-primary font-weight-bold">
        <div class="col-12">
            {_'grid.tournament-game.overview-regitration.detail.price-overview'}
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th>{_'grid.tournament-game.overview-regitration.detail.price-overview.name'}</th>
                    <th class="text-right">{_'grid.tournament-game.overview-regitration.detail.price-overview.price'}</th>
                </tr>
                </thead>
                <tbody>

                <tr>
                    <td>{$item->getPayment()->getName()}</td>
                    <td class="text-right">{$item->getPricePayment()|number:0:',':' '},- Kč</td>
                </tr>

                <tr n:foreach="$item->getSupplements() as $supplement">
                    <td>{$supplement->getSupplement()->getName()}</td>
                    <td class="text-right">{$supplement->getPrice()|number:0:',':' '},- Kč</td>
                </tr>

                <tr class="font-weight-bold text-primary">
                    <td>{_'grid.tournament-game.overview-regitration.detail.price-overview.price-total'}</td>
                    <td class="text-right">{$item->getPrice()|number:0:',':' '},- Kč</td>
                </tr>

                </tbody>
            </table>
        </div>
    </div>
</div>